Skip to main content

Get Order Details

This API provides the status and full details for a specific mutual fund order. Call with a valid order_id for an order that belongs to the user account.

Request

curl --location 'https://api.upstox.com/v2/mf/orders/a1b2c3d4-order-id' \
--header 'accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'

Additional samples in various languages are available in the Sample Code section on this page.

Path Parameters

NameRequiredTypeDescription
order_idtruestringMutual fund order id.
Responses

Response Body

{
"status": "success",
"data": {
"instrument_key": "INF109K01Q49",
"status": "INPROCESS",
"status_message": null,
"folio": "",
"fund": "ICICI Prudential Liquid Fund Direct Plan Growth",
"amount": 1000.0,
"quantity": 0.0,
"price": 0.0,
"order_id": "ABC123-a9b52e90-3de6-4674-84b9-e3bcced7ec30",
"exchange_order_id": "254657127",
"order_timestamp": "2026-03-12 15:17:42",
"exchange_timestamp": null,
"transaction_type": "BUY",
"last_price": 0.0,
"average_price": 0.0,
"settlement_id": "254657127",
"variety": "REGULAR",
"purchase_type": "FRESH",
"last_price_date": "2026-03-06"
}
}
NameTypeDescription
statusstringOutcome of the request. Typically success or error.
dataobjectSingle mutual fund order object.
data.order_idstringUnique order identifier.
data.exchange_order_idstringExchange order id when available.
data.instrument_keystringFund ISIN when available.
data.statusstringCurrent order status.
data.status_messagestringHuman-readable status or rejection reason.
data.foliostringFolio when allotted.
data.fundstringFund or scheme display name.
data.order_timestampstringWhen the order was registered in format: YYYY-MM-DD HH:mm:ss.
data.exchange_timestampstringExchange date when available in format: YYYY-MM-DD HH:mm:ss.
data.settlement_idstringSettlement id when available.
data.transaction_typestringBUY or SELL.
data.amountnumberOrder amount.
data.varietystringOrder variety either REGULAR or SIP.
data.purchase_typestringFRESH or ADDITIONAL when applicable.
data.quantitynumberUnits allotted or sold.
data.pricenumberPrice or NAV when available.
data.last_pricenumberLast known NAV.
data.average_pricenumberAllotted or sold NAV.
data.last_price_datestringDate for last NAV when available in format: YYYY-MM-DD.

Sample Code

Get mutual fund order by id

import requests

order_id = 'a1b2c3d4-order-id'
url = f'https://api.upstox.com/v2/mf/orders/{order_id}'
headers = {
'accept': 'application/json',
'Authorization': 'Bearer {your_access_token}',
}

response = requests.get(url, headers=headers)
print(response.status_code, response.json())
Loading...